> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tracecat.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Field

> Create a new case field.



## OpenAPI

````yaml https://platform.tracecat.com/api/openapi.json post /workspaces/{workspace_id}/case-fields
openapi: 3.1.0
info:
  title: Tracecat API
  summary: Tracecat API
  description: The open source AI automation platform for security teams and agents.
  termsOfService: >-
    https://docs.google.com/document/d/e/2PACX-1vQvDe3SoVAPoQc51MgfGCP71IqFYX_rMVEde8zC4qmBCec5f8PLKQRdxa6tsUABT8gWAR9J-EVs2CrQ/pub
  contact:
    name: Tracecat Founders
    email: founders@tracecat.com
  license:
    name: AGPL-3.0
    url: https://www.gnu.org/licenses/agpl-3.0.html
  version: '1'
servers:
  - url: /api
security: []
tags:
  - name: public
    description: Public facing endpoints
  - name: workflows
    description: Workflow management
  - name: actions
    description: Action management
  - name: triggers
    description: Workflow triggers
  - name: secrets
    description: Secret management
  - name: variables
    description: Workspace variable management
paths:
  /workspaces/{workspace_id}/case-fields:
    post:
      tags:
        - cases
      summary: Create Field
      description: Create a new case field.
      operationId: cases-create_field
      parameters:
        - name: workspace_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Workspace Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CaseFieldCreate'
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyCookie: []
        - ServiceAccountApiKeyBearer: []
components:
  schemas:
    CaseFieldCreate:
      properties:
        name:
          type: string
          maxLength: 100
          minLength: 1
          title: Name
          description: The name of the column
        type:
          $ref: '#/components/schemas/SqlType'
          maxLength: 100
          minLength: 1
          description: The SQL type of the column
        nullable:
          type: boolean
          title: Nullable
          default: true
        default:
          anyOf:
            - {}
            - type: 'null'
          title: Default
        options:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Options
        kind:
          anyOf:
            - $ref: '#/components/schemas/CaseFieldKind'
            - type: 'null'
        required_on_closure:
          type: boolean
          title: Required On Closure
          default: false
      type: object
      required:
        - name
        - type
      title: CaseFieldCreate
      description: Create a new case field.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    SqlType:
      type: string
      enum:
        - TEXT
        - INTEGER
        - NUMERIC
        - DATE
        - BOOLEAN
        - TIMESTAMPTZ
        - JSONB
        - SELECT
        - MULTI_SELECT
      title: SqlType
      description: Supported SQL types.
    CaseFieldKind:
      type: string
      enum:
        - LONG_TEXT
        - URL
      title: CaseFieldKind
      description: >-
        Semantic kind for case custom fields.


        Controls how the field is rendered in the UI without changing the
        underlying

        SQL storage type.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyCookie:
      type: apiKey
      in: cookie
      name: fastapiusersauth
    ServiceAccountApiKeyBearer:
      type: http
      description: Tracecat service account API key.
      scheme: bearer

````